[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceCollection.FreeItem

Release memory occupied by item.

## Declaration

Source position: objects.pp line 490

`procedure TResourceCollection.FreeItem(`
`Item: Pointer`
`); virtual;`

## Description

FreeItem releases the memory occupied by Item. It de-allocates the name, and then the resourceitem record.

It does NOT remove the item from the collection.

## Errors

None.

## See also

TCollection.FreeItem |  | Destroy a non-nil item.

Documentation generated on: Feb 26 2014